<article class="comment">

    <div class="title">
        <mr-image [avatar]="comment.author"></mr-image>
        <div>
            <mr-dropdown transformOrigin="top right" *ngIf="isAuthor">
                <ul>
                    <li *ngIf="sidebar" (click)="edit$.next(true)">Editar comentario</li>
                    <li (click)="deleteComment(comment.id)">Eliminar comentario</li>
                </ul>
            </mr-dropdown>
            <h5><a [routerLink]="comment.author | profileUrl">@{{ comment.author }}</a></h5>
            <mr-timestamp [createdAt]="comment.createdAt" [lastEdit]="comment.lastEdit"></mr-timestamp>
        </div>
    </div>

    <ng-container *ngIf="(edit$ | async) else display">
        <mr-thread-comment-edit [comment]="comment" (cancel)="edit$.next(false)"></mr-thread-comment-edit>
    </ng-container>

    <ng-template #display>
        <ng-container *ngIf="(full$ | async) else short">
            <mr-editor-readonly [html]="comment.body"></mr-editor-readonly>
        </ng-container>

        <ng-template #short>
            <p *ngIf="comment.body | htmlSlice:250 as text">
                <ng-container *ngIf="text.length <= 250">
                    <mr-editor-readonly [html]="comment.body"></mr-editor-readonly>
                </ng-container>
                <ng-container *ngIf="text.length > 250">
                    {{ text }} <a (click)="full$.next(true)">Leer más</a>
                </ng-container>
            </p>
        </ng-template>
    </ng-template>

    <div *ngIf="!sidebar">
        <a mr-button *ngIf="comment.thread !== 'deleted' else deleted"
        class="primary small hover"
        [routerLink]="comment.thread | threadUrl" [queryParams]="{ page:1 }">
            Ver hilo
        </a>
    </div>

</article>

<ng-template #deleted>
    <span class="deleted">
        [ Hilo eliminado ]
    </span>
</ng-template>
